org.eclipse.rdf4j.http.protocol

## Enum Protocol.Action

- java.lang.Object
- - java.lang.Enum<Protocol.Action>
  - - org.eclipse.rdf4j.http.protocol.Protocol.Action

- All Implemented Interfaces:
    Serializable, Comparable<Protocol.Action>
  Enclosing class:
    Protocol

      public static enum Protocol.Action
      extends Enum<Protocol.Action>

  Defines the action a particular transaction update is executing.
  Author:
    Jeen Broekstra

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADD` adding data
    `COMMIT` commit
    `DELETE` deleting data
    `GET` getStatements or exportStatements
    `PING` Keep alive ping @since 2.3
    `PREPARE` prepare
    `QUERY` SPARQL or SeRQL query
    `ROLLBACK` rollback
    `SIZE` retrieving repository size
    `UPDATE` SPARQL Update

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Protocol.Action` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Protocol.Action[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADD

          public static final Protocol.Action ADD

      adding data

    - #### DELETE

          public static final Protocol.Action DELETE

      deleting data

    - #### GET

          public static final Protocol.Action GET

      getStatements or exportStatements

    - #### SIZE

          public static final Protocol.Action SIZE

      retrieving repository size

    - #### QUERY

          public static final Protocol.Action QUERY

      SPARQL or SeRQL query

    - #### UPDATE

          public static final Protocol.Action UPDATE

      SPARQL Update

    - #### PING

          public static final Protocol.Action PING

      Keep alive ping @since 2.3

    - #### PREPARE

          public static final Protocol.Action PREPARE

      prepare

    - #### COMMIT

          public static final Protocol.Action COMMIT

      commit

    - #### ROLLBACK

          public static final Protocol.Action ROLLBACK

      rollback

  - ### Method Detail

    - #### values

          public static Protocol.Action[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Protocol.Action c : Protocol.Action.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Protocol.Action valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.